package com.red.circle.wallet.infra.database.cache.service;

/**
 * 支付密码
 * @author zongpubin on 2023/12/1
 */
public interface UserPayAuthCacheService {

  /**
   * 记录支付密码输入密码错误次数.
   *
   * @param userId 用户id
   */
  void recordPayAuth(Long userId);

  /**
   * 获取支付密码输入密码错误次数.
   *
   * @param userId 用户id
   * @return 次数
   */
  Integer getPayAuthTimes(Long userId);

  /**
   * 重置支付密码输入密码错误次数.
   *
   * @param userId 用户id
   */
  void deleteByUserId(Long userId);


}

